Subject: Re: ask for help
From: [email-masked] (Earnie Boyd)

17 Nov 1997 16:38:27 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>Date: Sun, 9 Nov 1997 20:57:07 -0500 (EST)
>From: Wei Hua Ni <[email-masked]>
>Subject: ask for help
>To: [email-masked]
>
>Hi All,
>
>I am new for bash and tcl/tk, the following script is copied from a 
book, 

For more info on tcl/tk you might have a look at http://www.tcltk.com

>but when I launch it from wish42, it always gives me a message 
"channel1 
>'console1' wasn't opened for writing". I don't know how I solve this 
problem.
> 

I believe that this problem only exists in the win32 version.  I believe 
that the error is that stdout/stderr isn't associated with a window.

>#!/gnuwin32/b18/tcl/bin/wish42 -f
>set id 0
>entry .entry -width 30 -relief sunken -textvariable cmd
>pack .entry -padx 1m -pady 1m
>bind .entry <Return> {
>    set id [expr $id + 1]
>    if {$id > 5} {
>	    destroy .b[expr $id - 5]
>	}
>	button .b$id -command "exec <@stdin >@stdout $cmd" -text $cmd
>	pack .b$id -fill x
>	.b$id invoke
>	.entry delete 0 end
>}
>
>
>Question 2:
>In tclsh, I type in a program, it always says no such file. e. g.
>% programname
>couldn't execute ".\programname": no such file or directory.
>

I think that the problem is that tclsh doesn't recognize the path as it 
is received from the cygnus package.  I believe that if you specify the 
full pathname it should work.  Also I've noticed that the full win32 
path must be specified in the script file for executing the script from 
the command line.

>Question 3:
>My tcl/tk package came with cygnus' cdk.exe. After I installed it. the 
>structure
>looks like below,
>
>gnuwin32
>   |
>   |---- share |------ tcl7.6
>   |           |
>   |           |------ tk4.2
>   |
>   |
>   |---- tcl ---- lib
>             |  |
>	     |  |--- lib --- tk4.2
>	     |
>	     |----- tcl76
>
>
>and no doc subdirectory and lib/tk4.2/demos as mentioned in tcl/readme.
>
>

I have no idea as to why these are missing but can be obtained by 
following the appropriate links through http://www.tcltk.com

>Question 4:
>I know there should be some set up files, but I don't know the syntex.
>

Also, follow the appropriate links through http://www.tcltk.com

>	Any advise is appreciated.
>
>	Thanks.

Your welcome.

>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".